:root {
    --nav-height: 3.6rem;
    --base-size: 16px;
    --default-color: #c6d5c4;
    --darker-green: #2b5d3f;
    --dark-green: #439263;
    --light-green: #5cb47f;
}

@media only screen and (max-device-width: 768px) {
    :root {
        --base-size: 14px;
    }
}

html,
body {
    height: 100%;
}

html {
    font-size: var(--base-size);
    font-family: "Roboto", sans-serif;
    color: var(--default-color);
}

body {
    background-color: #1a1717;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

a {
    color: var(--dark-green);
    text-decoration: none;
}

a:hover {
    color: var(--light-green);
    text-decoration: underline;
}

nav {
    border-top: 4px solid var(--darker-green);
    height: var(--nav-height);
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-size: 1.2rem;
    width: 100%;
}

nav a {
    height: var(--nav-height);
    line-height: var(--nav-height);
    text-align: center;
    padding: 0 0.4rem;
    margin: 0 0.6rem;
    color: var(--default-color);
    text-decoration: none;
}

nav a:hover {
    text-decoration: none;
    color: var(--default-color);
}

nav a.selected {
    border-bottom: 1px solid var(--darker-green);
}

.photo {
    display: block;
    border-radius: 100%;
    width: 150px;
    height: 150px;
}

#overview,
#resume {
    font-size: 1.2rem;
    text-align: justify;
}

@media only screen and (max-device-width: 768px) {
    #overview {
        text-align: left;
        max-width: unset !important;
    }
}

#overview {
    max-width: 32rem;
    margin-left: auto;
    margin-right: auto;
    line-height: 2rem;

    .photo {
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 2rem;
    }
}

@media only screen and (max-device-width: 768px) {
    .main-content {
        padding: 2rem 2rem !important;
    }
}

.main-content {
    padding: 2rem 4rem;
}

.emphasize {
    font-size: 1.4rem;
    font-weight: bold;
}

ul {
    padding: 0px 2rem;
}

footer {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: end;
    flex-grow: 1;

    .button-bar {
        flex-grow: 1;
    }

    .copyright {
        height: 3.2rem;
        line-height: 3.2rem;
    }
}

.button-bar {
    display: flex;
    flex-direction: row;
    gap: 0.8rem;
    align-self: center;
    font-size: 1.6rem;

    .icon-btn {
        color: #c6d5c4;
    }
}

#resume {
    align-self: stretch;
    display: flex;
    justify-content: center;
    text-align: left;

    #resume-inner {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        gap: 1rem 4rem;
    }

    aside {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex-wrap: nowrap;
        min-width: 10rem;

        img {
            margin-bottom: 0.8rem;
        }

        p {
            margin: 0.4rem 0;
            text-wrap: nowrap;
        }

        .button-bar {
            margin-top: 1.4rem;
        }
    }

    .resume-content {
        flex-grow: 1;
        max-width: 44rem;
    }

    .jobs,
    .schools {
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }

    .job-heading,
    .degree {
        display: flex;
        flex-direction: row;
        align-items: baseline;
        font-size: 1.6rem;
    }

    .job-title:after {
        color: #535353;
        font-size: 1rem;
        content: "|";
        padding: 0 0.4rem;
    }

    .employer {
        font-size: 1.2rem;
        color: var(--light-green);
    }

    .period {
        font-size: 1rem;
        color: #7d7d7d;
    }

    .job-points,
    .school-points {
        font-size: 1.1rem;
        line-height: 1.6rem;

        li {
            margin-top: 0.2rem;
        }
    }
}
